> ## Documentation Index
> Fetch the complete documentation index at: https://agentmail.manicule.dev/llms.txt
> Use this file to discover all available pages before exploring further.
> For every page in one file, fetch https://agentmail.manicule.dev/llms-full.txt (large).
> To search and read these docs as tools, connect the MCP server at https://agentmail.manicule.dev/api/mcp.
> Every agent surface: https://agentmail.manicule.dev/.well-known/llms-manifest.json

# List Pods (/api-reference/list-pods)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 972 · updated: 2026-09-29 -->
Related: [Sign Up](/api-reference/sign-up.md), [Attach Human](/api-reference/attach-human.md), [Verify](/api-reference/verify.md), [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Search Inboxes](/api-reference/search-inboxes.md)

# List Pods

`GET /v0/pods`

> **CLI:**
> ```bash
> agentmail pods list
> ```

Base URL: `https://api.agentmail.to`

Base URL: `https://x402.api.agentmail.to`

Base URL: `https://mpp.api.agentmail.to`

Base URL: `https://api.agentmail.eu`

## OpenAPI

```json
{
  "servers": [
    {
      "url": "https://api.agentmail.to",
      "description": "prod"
    },
    {
      "url": "https://x402.api.agentmail.to",
      "description": "prod-x402"
    },
    {
      "url": "https://mpp.api.agentmail.to",
      "description": "prod-mpp"
    },
    {
      "url": "https://api.agentmail.eu",
      "description": "eu-prod"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "securitySchemes": {
    "Bearer": {
      "type": "http",
      "scheme": "bearer"
    }
  },
  "parameters": [
    {
      "name": "limit",
      "in": "query",
      "required": false,
      "schema": {
        "type": "integer",
        "description": "Limit of number of items returned.",
        "title": "Limit"
      }
    },
    {
      "name": "page_token",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "description": "Page token for pagination.",
        "title": "PageToken"
      }
    },
    {
      "name": "ascending",
      "in": "query",
      "required": false,
      "schema": {
        "type": "boolean",
        "description": "Sort in ascending temporal order.",
        "title": "Ascending"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Response with status 200",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "count": {
                "type": "integer",
                "description": "Number of items returned.",
                "title": "Count"
              },
              "limit": {
                "type": "integer",
                "description": "Limit of number of items returned.",
                "title": "Limit"
              },
              "next_page_token": {
                "type": "string",
                "description": "Page token for pagination.",
                "title": "PageToken"
              },
              "pods": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "pod_id": {
                      "type": "string",
                      "description": "ID of pod.",
                      "title": "PodId"
                    },
                    "name": {
                      "type": "string",
                      "description": "Name of pod.",
                      "title": "Name"
                    },
                    "updated_at": {
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which pod was last updated."
                    },
                    "created_at": {
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which pod was created."
                    },
                    "client_id": {
                      "type": "string",
                      "description": "Client ID of pod.",
                      "title": "ClientId"
                    }
                  },
                  "required": [
                    "pod_id",
                    "name",
                    "updated_at",
                    "created_at"
                  ],
                  "title": "Pod"
                },
                "description": "Ordered by `created_at` descending."
              }
            },
            "required": [
              "count",
              "pods"
            ],
            "title": "ListPodsResponse"
          }
        }
      }
    }
  }
}
```
